Subject: Re: [PATCH net-next v5 00/10] add sriov support for wangxun NICs

From: Simon Horman <[email-masked]>
Date: Tue, 6 Aug 2024 16:20:42 +0100

On Tue, Aug 06, 2024 at 05:37:36PM +0800, [email-masked] wrote:
> 
> 
> > 2024年8月6日 00:40，Simon Horman <[email-masked]> 写道：
> > 
> > On Sun, Aug 04, 2024 at 08:48:31PM +0800, Mengyuan Lou wrote:
> >> Add sriov_configure for ngbe and txgbe drivers.
> >> Reallocate queue and irq resources when sriov is enabled.
> >> Add wx_msg_task in interrupts handler, which is used to process the
> >> configuration sent by vfs.
> >> Add ping_vf for wx_pf to tell vfs about pf link change.
> >> Make devlink allocation function generic to use it for PF and for VF.
> >> Add PF/VF devlink port creation. It will be used to set/get VFs.
> > 
> > I think it would be good to summarise the overall status of SR-IOV support
> > with this patch, and what follow-up work is planned. As Jakub mentioned [1]
> > this does not seem complete as is.
> > 
> 
> Ok，got it.

Thanks.

Did you get my 2nd point below?
This seems relevant to you:
- https://lore.kernel.org/netdev/[email-masked]/

> 
> > [1] https://lore.kernel.org/netdev/[email-masked]/
> > 
> > I mean, I understand the NDOs were removed from the patchset (see more on
> > that below) but there needs to be a plan to support users of this device
> > in a meaningful way.
> > 
> >> 
> >> v5:
> >> - Add devlink allocation which will be used to add uAPI.
> >> - Remove unused EXPORT_SYMBOL.
> >> - Unify some functions return styles in patch 1 and patch 4.
> >> - Make the code line less than 80 columns.
> >> v4:
> >> https://lore.kernel.org/netdev/[email-masked]/
> >> - Move wx_ping_vf to patch 6.
> >> - Modify return section format in Kernel docs.
> >> v3:
> >> https://lore.kernel.org/netdev/[email-masked]/
> >> - Do not accept any new implementations of the old SR-IOV API.
> >> - So remove ndo_vf_xxx in these patches. Switch mode ops will be added
> >> - in vf driver which will be submitted later.
> > 
> > FYI, this policy was recently significantly relaxed [2]:
> > 
> > [2] https://lore.kernel.org/netdev/[email-masked]/
> > 
> >> v2:
> >> https://lore.kernel.org/netdev/[email-masked]/
> >> - Fix some used uninitialised.
> >> - Use poll + yield with delay instead of busy poll of 10 times in
> >> mbx_lock obtain.
> >> - Split msg_task and flow into separate patches.
> >> v1:
> >> https://lore.kernel.org/netdev/[email-masked]/
> > 
> > ...
> > 
> > 
>